# Set premiere text
`PUT https://octopus.livepush.io/streams/{stream_id}/embed/premier/text`
Sets the message shown during the premiere countdown.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `putStreamEmbedPremierText`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/set-premiere-text/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Request body

`application/json` (required)

- `text` (string) **required**


```json
{
  "text": "Premiering Sunday 10am"
}
```


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/premier/text' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "text": "Premiering Sunday 10am"
  }'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

